# $Revision: 1.9 $, $Date: 2004/01/19 02:12:25 $
%define		_textures_ver	0.2.7
Summary:	Unrealistic helicopter simulator
Summary(pl):	Nierealistyczny symulator helikoptera
Name:		decopter
Version:	0.2.11
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	802d2fe2f187bab388ef2f9fd37871c8
Source1:	http://dl.sourceforge.net/%{name}/%{name}-textures-%{_textures_ver}.tar.gz
# Source1-md5:	95b1311447f1ec91869986550dc9d33b
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-paths.patch
Patch1:		%{name}-c++.patch
URL:		http://decopter.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
decopter is an unrealistic helicopter simulator. It is not playable,
you can just fly around.

%description -l pl
decopter jest nierealistycznym symulatorem helikoptera. Nie jest on
grywalny, mona tylko lata w koo.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="`sdl-config --cflags` -I/usr/X11R6/include -Wall %{rpmcflags} %{!?debug:-fomit-frame-pointer}" \
	LDFLAGS="`sdl-config --libs` -L%{_prefix}/X11R6/%{_lib} -lSDL_image -lGL -lGLU -lstdc++"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/{3D,desc,maps,textures}

install fly $RPM_BUILD_ROOT%{_bindir}/decopter
install generate_textures $RPM_BUILD_ROOT%{_bindir}

install 3D/* $RPM_BUILD_ROOT%{_datadir}/%{name}/3D
install desc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/desc
install maps/* $RPM_BUILD_ROOT%{_datadir}/%{name}/maps
install textures/* $RPM_BUILD_ROOT%{_datadir}/%{name}/textures

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "NOTE: Run generate_textures before first play"

%files
%defattr(644,root,root,755)
%doc BUGS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: decopter.spec,v $
Revision 1.9  2004/01/19 02:12:25  undefine
- fix build on amd64, release 2

Revision 1.8  2003/12/03 13:31:52  gotar
- _applnkdir -> _desktopdir

Revision 1.7  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.6  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:46:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/17 09:11:29  qboosh
- 0.2.11, updated paths patch, added c++ patch

Revision 1.3  2003/02/02 23:39:07  grzegol
- added icon

Revision 1.2  2003/02/02 20:36:39  qboosh
- typo, added _noautoreqdep

Revision 1.1  2003/02/01 22:04:19  grzegol
- new
